org.hibernate.search.elasticsearch.gson.impl

## Class AbstractExtraPropertiesJsonAdapter<T>

- java.lang.Object
- - com.google.gson.TypeAdapter<T>
  - - org.hibernate.search.elasticsearch.gson.impl.AbstractExtraPropertiesJsonAdapter<T>

-     public abstract class AbstractExtraPropertiesJsonAdapter<T>
      extends com.google.gson.TypeAdapter<T>

  Author:
    Yoann Rodiere

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractExtraPropertiesJsonAdapter(Map<String,? extends org.hibernate.search.elasticsearch.gson.impl.AbstractExtraPropertiesJsonAdapter.FieldAdapter<? super T>> fieldAdapters, org.hibernate.search.elasticsearch.gson.impl.AbstractExtraPropertiesJsonAdapter.ExtraPropertyAdapter<? super T> extraPropertyAdapter)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract T` | `createInstance()`
    `T` | `read(com.google.gson.stream.JsonReader in)`
    `void` | `write(com.google.gson.stream.JsonWriter out, T instance)`

    - ### Methods inherited from class com.google.gson.TypeAdapter

      `fromJson, fromJson, fromJsonTree, nullSafe, toJson, toJson, toJsonTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractExtraPropertiesJsonAdapter

          public AbstractExtraPropertiesJsonAdapter(Map<String,? extends org.hibernate.search.elasticsearch.gson.impl.AbstractExtraPropertiesJsonAdapter.FieldAdapter<? super T>> fieldAdapters,
                                                    org.hibernate.search.elasticsearch.gson.impl.AbstractExtraPropertiesJsonAdapter.ExtraPropertyAdapter<? super T> extraPropertyAdapter)

  - ### Method Detail

    - #### read

          public T read(com.google.gson.stream.JsonReader in)
                 throws IOException

      Specified by:
        `read` in class `com.google.gson.TypeAdapter<T>`
      Throws:
        `IOException`

    - #### write

          public void write(com.google.gson.stream.JsonWriter out,
                            T instance)
                     throws IOException

      Specified by:
        `write` in class `com.google.gson.TypeAdapter<T>`
      Throws:
        `IOException`

    - #### createInstance

          protected abstract T createInstance()

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved